Index: SPECS/kernel-2.6.spec
===================================================================
--- SPECS.orig/kernel-2.6.spec
+++ SPECS/kernel-2.6.spec
@@ -165,6 +165,11 @@ Summary: The Linux kernel (the core of t
 %define xen_image vmlinux.gz
 %endif
 
+%ifarch %{arm}
+%define all_arch_configs $RPM_SOURCE_DIR/kernel-%{kversion}-arm*.config
+%define hdrarch arm
+%endif
+
 # To temporarily exclude an architecture from being built, add it to
 # %nobuildarches. Do _NOT_ use the ExclusiveArch: line, because if we
 # don't build kernel-headers then the new build system will no longer let
@@ -172,7 +177,7 @@ Summary: The Linux kernel (the core of t
 # Which is a BadThing(tm).
 
 # We don't build a kernel on i386 or s390x -- we only do kernel-headers there.
-%define nobuildarches i386 s390
+%define nobuildarches i386 s390 %{arm}
 
 %ifarch %nobuildarches
 %define buildup 0
@@ -217,13 +222,13 @@ Name: kernel
 Group: System Environment/Kernel
 License: GPLv2
 Version: %{rpmversion}
-Release: %{release}
+Release: %{release}.fa1
 %if 0%{?olpc}
 ExclusiveArch: i386 i586
 %else
 # DO NOT CHANGE THIS LINE TO TEMPORARILY EXCLUDE AN ARCHITECTURE BUILD.
 # SET %nobuildarches (ABOVE) INSTEAD
-ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ppc64iseries ia64 sparc sparc64 s390 s390x
+ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ppc64iseries ia64 sparc sparc64 s390 s390x %{arm}
 %endif
 ExclusiveOS: Linux
 Provides: kernel = %{version}
@@ -288,6 +293,8 @@ Source35: kernel-%{kversion}-i686-kdump.
 Source36: kernel-%{kversion}-ia64-xen.config
 Source37: kernel-%{kversion}-ppc64iseries-kdump.config
 
+Source50: kernel-%{kversion}-arm.config
+
 #Source66: kernel-%{kversion}-sparc.config
 #Source67: kernel-%{kversion}-sparc64.config
 #Source68: kernel-%{kversion}-sparc64-smp.config
